{
  "type": "minecraft:crafting_shaped",
  "category": "equipment",
  "key": {
    "#": "minecraft:stone_sword",
    "X": "#minecraft:stone_tool_materials"
  },
  "pattern": [
    "X",
    "X",
    "#"
  ],
  "result": {
    "components": {
      "minecraft:custom_data": "{2hand:tag}",
      "minecraft:lore": [
        {
          "text": "Two-Handed",
          "color": "red",
          "italic": false
        }
      ],
      "minecraft:attribute_modifiers": [
        {
          "type": "minecraft:attack_damage",
          "id": "-123321432456189101-73841",
          "amount": 7,
          "operation": "add_value",
          "slot": "mainhand"
        },
        {
          "type": "minecraft:attack_speed",
          "id": "d8e06eeb-2a32-4cc7-8e0d-dd149cfbcf94",
          "amount": -3.2,
          "operation": "add_value",
          "slot": "mainhand"
        },
        {
          "type": "minecraft:entity_interaction_range",
          "id": "d8e06eeb-2a32-4cc7-8e0d-dd149cfbcf94",
          "amount": 1,
          "operation": "add_value",
          "slot": "mainhand"
        },
        {
          "type": "minecraft:sweeping_damage_ratio",
          "id": "91a69f87-4919-4e9c-904c-5d5d17abc621",
          "amount": 0.2,
          "operation": "add_value",
          "slot": "mainhand"
        },
        {
          "type": "minecraft:attack_knockback",
          "id": "7b1d8d45-5876-4fbd-8ead-3d672f0626ac",
          "amount": 0.5,
          "operation": "add_value",
          "slot": "mainhand"
        }
      ],
      "minecraft:max_damage": 188,
      "minecraft:item_name": "Stone Greatsword",
      "minecraft:weapon": {
        "item_damage_per_attack": 2,
        "disable_blocking_for_seconds": 2
     }
    },
    "count": 1,
    "id": "minecraft:stone_sword"
  }
}